# \InstanceApi

All URIs are relative to *https://api.browshot.com/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**InstanceInfoGet**](InstanceApi.md#InstanceInfoGet) | **Get** /instance/info | Get information about an instance
[**InstanceListGet**](InstanceApi.md#InstanceListGet) | **Get** /instance/list | Get all instances


# **InstanceInfoGet**
> Instance InstanceInfoGet($id)

Get information about an instance

Get information about an instance.


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int32**| instance ID | 

### Return type

[**Instance**](Instance.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **InstanceListGet**
> InstanceList InstanceListGet()

Get all instances

Get all instances.


### Parameters
This endpoint does not need any parameter.

### Return type

[**InstanceList**](InstanceList.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

